org.apache.lucene.search

## Class FilterLeafCollector

- java.lang.Object
- - org.apache.lucene.search.FilterLeafCollector

- All Implemented Interfaces:
    LeafCollector

      public abstract class FilterLeafCollector
      extends Object
      implements LeafCollector

  `LeafCollector` delegator.
  WARNING: This API is experimental and might change in incompatible ways in the next release.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected LeafCollector` | `in`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FilterLeafCollector(LeafCollector in)` Sole constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `collect(int doc)` Called once for every document matching a query, with the unbased document number.
    `void` | `setScorer(Scorer scorer)` Called before successive calls to `LeafCollector.collect(int)`.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### in

          protected final LeafCollector in

  - ### Constructor Detail

    - #### FilterLeafCollector

          public FilterLeafCollector(LeafCollector in)

      Sole constructor.

  - ### Method Detail

    - #### setScorer

          public void setScorer(Scorer scorer)
                         throws IOException

      Description copied from interface: `LeafCollector`
      Called before successive calls to `LeafCollector.collect(int)`. Implementations that need the score of the current document (passed-in to `LeafCollector.collect(int)`), should save the passed-in Scorer and call scorer.score() when needed.
      Specified by:
        `setScorer` in interface `LeafCollector`
      Throws:
        `IOException`

    - #### collect

          public void collect(int doc)
                       throws IOException

      Description copied from interface: `LeafCollector`
      Called once for every document matching a query, with the unbased document number.

      Note: The collection of the current segment can be terminated by throwing a `CollectionTerminatedException`. In this case, the last docs of the current `LeafReaderContext` will be skipped and `IndexSearcher` will swallow the exception and continue collection with the next leaf.

      Note: This is called in an inner search loop. For good search performance, implementations of this method should not call `IndexSearcher.doc(int)` or `IndexReader.document(int)` on every hit. Doing so can slow searches by an order of magnitude or more.

      Specified by:
        `collect` in interface `LeafCollector`
      Throws:
        `IOException`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2000-2018 Apache Software Foundation. All Rights Reserved.